Page MenuHomePhabricator

Comments extension needs documentation messages for the api
Closed, ResolvedPublic

Description

The Comments extension is missing i18n messages for the api documentation. It needs messages like apihelp-commentvote-description, apihelp-commentlist-description, etc. It should probably also have messages describing various parameters, and example urls, etc.

Details

Related Gerrit Patches:
mediawiki/extensions/Comments : masterAdd missing API i18n messages in Comments extension

Event Timeline

Bawolff created this task.Dec 23 2016, 6:44 PM
Restricted Application added a project: Social-Tools. · View Herald TranscriptDec 23 2016, 6:44 PM
Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald Transcript
SamanthaNguyen moved this task from Backlog to Comments on the Social-Tools board.
SamanthaNguyen added a subscriber: SamanthaNguyen.

I'm willing to go ahead and do this.

SamanthaNguyen moved this task from Backlog to i18n on the Comments board.Dec 29 2016, 1:45 AM

I am new to WikiMedia and I would like to work on this. Could someone provide more pointers on how should I start?
Note that I already have the core and extension/Comments repository cloned from Gerrit.

@Mihir-thakkar: Thanks! You could check out similar patches in other repositories, e.g. https://gerrit.wikimedia.org/r/#/c/217755/ or https://gerrit.wikimedia.org/r/#/c/260397/

Change 331929 had a related patch set uploaded (by Mihir-thakkar):
Add missing API i18n messages in Comments extension

https://gerrit.wikimedia.org/r/331929

Change 331929 abandoned by Mihir-thakkar:
Add missing API i18n messages in Comments extension

https://gerrit.wikimedia.org/r/331929

Change 331929 restored by Mihir-thakkar:
Add missing API i18n messages in Comments extension

https://gerrit.wikimedia.org/r/331929

Change 331929 merged by jenkins-bot:
Add missing API i18n messages in Comments extension

https://gerrit.wikimedia.org/r/331929

SamanthaNguyen closed this task as Resolved.Jan 16 2017, 1:59 AM
SamanthaNguyen moved this task from Backlog to Done on the good first task board.
SamanthaNguyen removed a project: Patch-For-Review.

Good work @Mihir-thakkar :)